org.hibernate.validator.internal.xml

## Class ExecutableValidationType

- java.lang.Object
- - org.hibernate.validator.internal.xml.ExecutableValidationType

-     public class ExecutableValidationType
      extends Object

  Java class for executable-validationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="executable-validationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="default-validated-executable-types" type="{http://jboss.org/xml/ns/javax/validation/configuration}default-validated-executable-typesType" minOccurs="0"/>
             </sequence>
             <attribute name="enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DefaultValidatedExecutableTypesType` | `defaultValidatedExecutableTypes`
    `protected Boolean` | `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutableValidationType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultValidatedExecutableTypesType` | `getDefaultValidatedExecutableTypes()` Gets the value of the defaultValidatedExecutableTypes property.
    `boolean` | `getEnabled()` Gets the value of the enabled property.
    `void` | `setDefaultValidatedExecutableTypes(DefaultValidatedExecutableTypesType value)` Sets the value of the defaultValidatedExecutableTypes property.
    `void` | `setEnabled(Boolean value)` Sets the value of the enabled property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultValidatedExecutableTypes

          protected DefaultValidatedExecutableTypesType defaultValidatedExecutableTypes

    - #### enabled

          protected Boolean enabled

  - ### Constructor Detail

    - #### ExecutableValidationType

          public ExecutableValidationType()

  - ### Method Detail

    - #### getDefaultValidatedExecutableTypes

          public DefaultValidatedExecutableTypesType getDefaultValidatedExecutableTypes()

      Gets the value of the defaultValidatedExecutableTypes property.
      Returns:
        possible object is `DefaultValidatedExecutableTypesType`

    - #### setDefaultValidatedExecutableTypes

          public void setDefaultValidatedExecutableTypes(DefaultValidatedExecutableTypesType value)

      Sets the value of the defaultValidatedExecutableTypes property.
      Parameters:
        `value` - allowed object is `DefaultValidatedExecutableTypesType`

    - #### getEnabled

          public boolean getEnabled()

      Gets the value of the enabled property.
      Returns:
        possible object is `Boolean`

    - #### setEnabled

          public void setEnabled(Boolean value)

      Sets the value of the enabled property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved